package cn.itcast_05;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

public class CopyDirDemo {
	public static void main(String[] args) throws IOException {
		File srcFile = new File("D:\\copy01");
		File destFile = new File("D:\\copy02");
		copyDir(srcFile, destFile);
	}

	public static void copyDir(File srcFile, File destFile) throws IOException {
		if (!destFile.exists()) {
			destFile.mkdir();
		}
		File[] list = srcFile.listFiles();
		for (File file : list) {
			if (file.isDirectory()) {
				copyDir(new File(srcFile, file.getName()), new File(destFile, file.getName()));
			} else {
				BufferedOutputStream bw = new BufferedOutputStream(
						new FileOutputStream(new File(destFile, file.getName())));
				BufferedInputStream br = new BufferedInputStream(
						new FileInputStream(new File(srcFile, file.getName())));
				byte[] bys = new byte[1024];
				for (int len = 0; (len = br.read(bys)) != -1;) {
					bw.write(bys, 0, len);
				}
				bw.close();
				br.close();
			}
		}
	}
}
